Bug Hunting Session
Bug 42877 - absolute adressing in formulas kills highlighting
Summary: absolute adressing in formulas kills highlighting
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
3.4.3 release
Hardware: All All
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-11-13 08:02 UTC by arian
Modified: 2018-08-13 22:22 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description arian 2011-11-13 08:02:57 UTC
Usually in Formulas Cell Adresses are highlighted, so if you type in a cell

=F3

"F3" is written blue and F3 gets a blue box around.

However introducing absolute adressing in any of the cell adressess breaks this, so if you have something like:

=$B$13/(B7*2)*(F7-F3)*$B$7

you don't know what you are mesing with...
Comment 1 arian 2011-11-14 03:22:13 UTC
Sorry, just noticed that highlighting vanishes as soon as one edits a formula, so the bug description is wrong. It would be nice though if the highlighting would update on editing, though that would rather be an improvement
Comment 2 sasha.libreoffice 2012-04-20 05:01:36 UTC
Thanks for new idea
As I can understand, we need realtime updating. For example, we have formula =B1-B2. When cursor inside of formula, cells B1 and B2 highlighted. When we erase 1 for example, formula becomes =B-B2 and no highlighted cells, because formula incorrect. When we type 3, cells B2 and B3 should become highlighted immediately.
Comment 3 Gerhard Weydt 2018-08-13 22:21:52 UTC
(In reply to arian from comment #0)
> Usually in Formulas Cell Adresses are highlighted, so if you type in a cell
> 
> =F3
> 
> "F3" is written blue and F3 gets a blue box around.
> 
> However introducing absolute adressing in any of the cell adressess breaks
> this, so if you have something like:
> 
> =$B$13/(B7*2)*(F7-F3)*$B$7
> 
> you don't know what you are mesing with...

This bug report seems to me outdated: I just copied the complicated formula "=$B$13/(B7*2)*(F7-F3)*$B$7" at the bottom of your comment to a new Calc document in LibO 6.0.4.2. The different parts of the formula are coloured with different colours (in the display of the cell content), and the concerned cells are coloured with the same colours, even for the references with absolute addressing.
I set this bug to resolved.